WinShopAPI docs
ReferenceCompanies

Get a company card

Returns one loyalty or customer card of the company. 404 when `cardId` does not belong to `companyId`. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/cards/{cardId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32
cardId*integer
Formatint32

Response Body

application/json
  1. response
barcode?|
Lengthlength <= 255
companyId?|
Formatint32
discount?|
Formatdecimal
discountAmount?|
Formatdecimal
discountGroupId?|
Formatint32
guid?|
Formatguid
id?|
Formatint32
isBillingEnabled?boolean|null
isInvalid?boolean|null
lastModify?|
Formatdate-time
name?|
Lengthlength <= 80
note?string|null
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
curl -X GET 'https://<your-instance>/api/companies/0/cards/0' \  -H 'Authorization: Bearer <access-token>'
{  "barcode": "string",  "companyId": 0,  "discount": 0,  "discountAmount": 0,  "discountGroupId": 0,  "guid": "string",  "id": 0,  "isBillingEnabled": true,  "isInvalid": true,  "lastModify": "2019-08-24T14:15:22Z",  "name": "string",  "note": "string",  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z"}